FaQ/urls.py
from django.urls import path
from .views import index1, addQuestion, filter_search, data
from . import views
from django.conf.urls.static import static
app_name = "FaQ"

urlpatterns = [
    path('FaQ/', views.addQuestion, name='index2'),
    path('tanyajawab/', views.index1, name='index1'),
    path('filter_serach/', views.filter_search, name='index3'),
    path('data/', views.data, name='data'),
]

TK2/urls.py
from django.contrib import admin
from django.urls import path,include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('home.urls')),
]

poll/urls.py
from os import name
from django.urls import path
from . import views

app_name = 'poll'

urlpatterns = [
    path('',views.poll, name='poll'),
    path('vote/<poll_id>/', views.vote, name='vote'),
    path('hasil/<poll_id>/', views.hasil, name='hasil'),
    path('membuatPoll/', views.buatpoll, name='buatpoll'),
    path('resultsdata/<obj>/', views.resultsData, name="resultsdata")
]

tugaskelompok1/urls.py
from django.contrib import admin

from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('home.urls')),
    path('SuratPemerintah/', include('SuratPemerintah.urls')),
    path('blogpost/', include('blogpost.urls')),
    path('poll/', include('poll.urls')),
    path('tanya/',include('FaQ.urls')),
    path('apa-itu-corona/', include('apa_itu_corona.urls')),
]

poll/models.py
from django.db import models

# Create your models here.
class Poll(models.Model):
    pertanyaan = models.TextField()
    pilihan_satu = models.CharField(max_length=50)
    pilihan_dua = models.CharField(max_length=50)
    pilihan_tiga = models.CharField(max_length=50)
    pilihan_satu_hitung = models.IntegerField(default=0)
    pilihan_dua_hitung = models.IntegerField(default=0)
    pilihan_tiga_hitung = models.IntegerField(default=0)

    def total(self):
        return self.pilihan_satu_hitung + self.pilihan_dua_hitung + self.pilihan_tiga_hitung

poll/forms.py
from django import forms

class pollForm(forms.Form):
    pertanyaan = forms.CharField(
        label= "Masukan Pertanyaan ",
        max_length=52,
        widget=forms.TextInput(
            attrs={
                'class':'form-control form-pertanyaan',
                'row' : '5',
                'null':'True'
            }  
        )
    )

    pilihan_satu = forms.CharField(
        label= "Pilihan 1 ",
        max_length=50,
        widget=forms.TextInput(
            attrs={
                'class':'form-control',
            }  
        )
    )

    pilihan_dua = forms.CharField(
        label= "Pilihan 2 ",
        max_length=50,
        widget=forms.TextInput(
            attrs={
                'class':'form-control',
            }  
        )
    )

    pilihan_tiga = forms.CharField(
        label= "Pilihan 3 ",
        max_length=50,
        widget=forms.TextInput(
            attrs={
                'class':'form-control',
            }  
        )
    )

    def __init__(self, *args, **kwargs):
        super(pollForm, self).__init__(*args, **kwargs) # Call to ModelForm constructor
        self.fields['pertanyaan'].widget.attrs['style'] = 'box-sizing: border-box; border-radius: 20px; box-shadow:3px 3px 3px #cad2c5 ;'
        self.fields['pilihan_satu'].widget.attrs['style']  = 'box-sizing: border-box; border-radius: 20px; box-shadow:3px 3px 3px #cad2c5 '
        self.fields['pilihan_dua'].widget.attrs['style'] = 'box-sizing: border-box; border-radius: 20px; box-shadow:3px 3px 3px #cad2c5 '
        self.fields['pilihan_tiga'].widget.attrs['style'] = 'box-sizing: border-box; border-radius: 20px; box-shadow:3px 3px 3px #cad2c5'

poll/views.py
from django.http import request
from django.shortcuts import render, redirect
from django.http import HttpResponse
from .models import Poll
from .forms import pollForm
from django.contrib.auth.decorators import login_required
from django.http import JsonResponse

# Create your views here.
def poll (request):
    polling = Poll.objects.all()
    context = {'polling': polling}
    return render (request,'poll/poll.html',context)

def buatpoll(request):
    if request.method =='POST':
        pollform = pollForm(request.POST)
        if pollform.is_valid():
            data = pollform.cleaned_data
            newPoll = Poll()
            newPoll.pertanyaan = data['pertanyaan']
            newPoll.pilihan_satu = data['pilihan_satu']
            newPoll.pilihan_dua = data['pilihan_dua']
            newPoll.pilihan_tiga = data['pilihan_tiga']
            newPoll.save()
            return redirect('poll:poll')
    else:
        pollform = pollForm()
        context = {'pollform': pollform}
        return render (request, 'poll/buatPoll.html', context)

def hasil(request,poll_id):
    poll = Poll.objects.get(pk=poll_id)
    context = {'poll':poll}
    return render (request,'poll/hasil.html', context)


def vote(request, poll_id):
    poll = Poll.objects.get(pk=poll_id)

    if request.method == 'POST':
        pilihan_terpilih = request.POST['poll']
        if pilihan_terpilih == 'pilihan1':
            poll.pilihan_satu_hitung += 1
        elif pilihan_terpilih == 'pilihan2':
            poll.pilihan_dua_hitung += 1
        elif pilihan_terpilih == 'pilihan3':
            poll.pilihan_tiga_hitung += 1;
        else:
            return HttpResponse(400, 'Invalid form')

        poll.save()
        return redirect ('poll:hasil', poll.id)
    context = {'poll':poll}
    return render (request,'poll/vote.html', context)

def resultsData(requets,obj):
    votedata = []
    votes = Poll.objects.get(id = obj);

    votedata.append({votes.pilihan_satu:votes.pilihan_satu_hitung})
    votedata.append({votes.pilihan_dua:votes.pilihan_dua_hitung})
    votedata.append({votes.pilihan_tiga:votes.pilihan_tiga_hitung})

    print(votedata)
    return JsonResponse(votedata, safe=False)

poll/templates/poll/buatPoll.html
{% extends 'base.html' %}
{%load static%}

{% block tambahStyle %}
<link rel="stylesheet" href="{% static 'poll/poll.css'%}">
<link rel="preconnect" href="https://fonts.gstatic.com">
<link href="https://fonts.googleapis.com/css2?family=Tinos&display=swap" rel="stylesheet">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<style>
    .tabel-poll{
        width: 600px;
        height: 287px;
        margin-top: 40px;
        margin-right: auto;
        margin-left: auto;
        box-sizing: border-box;
        border-radius: 8px;
        box-shadow: 20px -16px #6C804B;
        font-family: Oswald;
        background-color: white;
    }

    #h1-polling{
        text-align: center;
        margin-top: 20px;
    }

    .header-polling{
        background-color: #ABB868;
        box-sizing: border-box;
        border-radius: 8px 8px 0 0 ;
        font-family: 'Tinos', serif;
        color: white;
        font-weight: bolder;
    }

    .row-pilihan{
        margin: 0 5px 0 5px;
    }

    .pertanyaan-polling{
        margin: 0px 5px 0 20px;
    }

    .btn-create-poll{
        box-sizing: border-box;
        border-radius: 20px 20px 20px 20px;
        background-color: #52b788;
    }
    .cursor{
        width:30px;
        height: 30px;
        border: 1px solid #2d6a4f;
        border-radius: 50%;
        position: absolute;
        animation: cursorAnim .5s infinite alternate;
        pointer-events: none;
    }

    .cursor::after{
        content:"";
        width: 30px;
        height: 30px;
        position: absolute;
        border: 8px solid #52b788;
        border-radius: 50%;
        opacity: .5;
        top: -1px;
        left: -1px;
        animation: cursorAnim2 .5s infinite alternate;
    }

    @keyframes cursorAnim {
        from{
            transform: scale(1);
        }
        to{
            transform: scale(.7);
        }
    }

    @keyframes cursorAnim2 {
        from{
            transform: scale(1);
        }
        to{
            transform: scale(.4);
        }
    }


    @media (min-width: 700px) and (max-width:800px){

    }

    @media (min-width: 600px) and (max-width:699px){
        .tabel-poll{
            width: 580px;
        }
    }

    @media (min-width: 500px) and (max-width:599px){

        .tabel-poll{
            width: 480px;
        }

        .form-pertanyaan{
            width: 450px;
        }
    }

    @media (min-width: 400px) and (max-width:499px){
        .tabel-poll{
            width: 380px;
        }

        .form-pertanyaan{
            width: 350px;
        }
    }

    @media (min-width: 300px) and (max-width:399px){
        .tabel-poll{
            width: 280px;
        }

        .form-pertanyaan{
            width: 250px;
        }
    }


</style>
{% endblock tambahStyle %}

{% block content %}
<body style="background-color: #DCE5D2">
    <div class="cursor"></div>
    {% if user.is_authenticated %}
    <div class="container-form">
        <h1 id="h1-polling">Buatlah Polling Mu!</h1>
        <form action="{% url 'poll:buatpoll' %}" method="POST" role="form">
            {% csrf_token %}
            <div class=" tabel-poll">
            <div class="header-polling"><h2 style="text-align: center;">Create Polling</h2></div>
                <div class="row">
                    <div class="col pertanyaan-polling">
                        <strong>{{pollform.pertanyaan.label_tag}}</strong>
                        {{pollform.pertanyaan}}
                    </div>
                </div>
                <br>
                <div class="row row-pilihan">
                    <div class="col">
                        <strong>{{pollform.pilihan_satu.label_tag}}</strong>
                        {{pollform.pilihan_satu}}
                    </div>
                    <div class="col">
                        <strong>{{pollform.pilihan_dua.label_tag}}</strong>
                        {{pollform.pilihan_dua}}
                    </div>
                    <div class="col">
                        <strong>{{pollform.pilihan_tiga.label_tag}}</strong>
                        {{pollform.pilihan_tiga}}
                    </div>
                </div>
                <div class="text-center">
                    <button type="submit" class="btn btn-success btn-create-poll" style="margin-top:30px;">&nbsp;&nbspSubmit&nbsp;&nbsp</button>
                </div>
                </div>
            </div>
        </form>
    </div>
    {% else %}
    <h1 style="text-align: center;">Anda belum Login!</h1>
    {% endif %}
    <script>
        $(document).mousemove(function(e){
            $(".cursor").css({left:e.clientX-10, top:e.clientY-10})
        });
    </script>

    <script>
        $('.form-control').focus(function(){
            $(this).css('background', '#7A9CC6')
            $(this).css('color', 'white')
        })

        $('.form-control').blur(function(){
            $(this).css('background', 'white')
            $(this).css('color', 'black')
        })
    </script>

</body>
{% endblock content %}

poll/templates/poll/hasil.html
{% extends 'base.html' %}
{%load static%}

{% block tambahStyle %}
<link rel="stylesheet" href="{% static 'css/styles.css'%}">
<link rel="preconnect" href="https://fonts.gstatic.com">
<link href="https://fonts.googleapis.com/css2?family=Tinos&display=swap" rel="stylesheet">
<script src="https://cdn.zingchart.com/zingchart.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<style>
    .panel-judul{
        text-align: center;
    }

    .grup-hasil{
        width: 600px;
        margin-top: 20px;
        margin-right: auto;
        margin-left: auto;
    }

    .pertanyaan-hasil{
        text-align: center; 
        margin-top: 50px;
        color: white;
        font-size: 24px;
        font-family: 'Tinos', serif;
        font-weight: bolder;
    }

    .container-pertanyaan{
        margin-left: auto;
        margin-right: auto;
        background-color:#6C804B ;
        box-sizing: border-box;
        border-radius: 20px 20px 20px 20px;
        width: 600px;
        height: 40px;
    }

    .btn-kembali{
        margin-left: auto;
        margin-right: auto;
        margin-top: 10px;
        box-sizing: border-box;
        border-radius: 20px 20px 20px 20px;
    }

    .btn-graph{
        background-color:#0466c8 ;
        margin-left: auto;
        margin-right: auto;
        margin-top: 10px;
        box-sizing: border-box;
        border-radius: 20px 20px 20px 20px;
    }

    #myChart{
        margin-top: 20px;
        margin-left: auto;
        margin-right: auto;
        overflow: hidden;
        width: 600px;
        height: 0px;
    }

    #myChart.active{
        margin-top: 20px;
        margin-left: auto;
        margin-right: auto;
        overflow: hidden;
        width: 600px;
        height: 600px;
        transition: 0.5s;
    }
        .cursor{
        width:30px;
        height: 30px;
        border: 1px solid #2d6a4f;
        border-radius: 50%;
        position: absolute;
        animation: cursorAnim .5s infinite alternate;
        pointer-events: none;
    }

    .cursor::after{
        content:"";
        width: 30px;
        height: 30px;
        position: absolute;
        border: 8px solid #52b788;
        border-radius: 50%;
        opacity: .5;
        top: -1px;
        left: -1px;
        animation: cursorAnim2 .5s infinite alternate;
    }

    @keyframes cursorAnim {
        from{
            transform: scale(1);
        }
        to{
            transform: scale(.7);
        }
    }

    @keyframes cursorAnim2 {
        from{
            transform: scale(1);
        }
        to{
            transform: scale(.4);
        }
    }

    @media (min-width: 600px) and (max-width:725px){
        .container-pertanyaan{
            width:500px ;
        }

        .grup-hasil{
            width: 500px;
        }

        .pertanyaan-hasil{
            font-size: 25px;
        }
    }

    @media (min-width: 500px) and (max-width:599px){
        .container-pertanyaan{
            width:450px ;
        }


        .grup-hasil{
            width: 450px;
        }

        .pertanyaan-hasil{
            font-size: 22px;
        }
    }

    @media (min-width: 400px) and (max-width:499px){
        .container-pertanyaan{
            width:350px ;
        }

        .grup-hasil{
            width: 350px;
        }

        .pertanyaan-hasil{
            font-size: 18px;
        }
    }

    @media (min-width: 300px) and (max-width:399px){
        .container-pertanyaan{
            width:280px ;
        }

        .grup-hasil{
            width: 280px;
        }

        .pertanyaan-hasil{
            font-size:15px;
        }
    }



    
</style>
{% endblock tambahStyle %}

{% block content %}
<body  style="background-color: #DCE5D2";>
    {% if user.is_authenticated %}
    <div class="cursor"></div>
    <div class="container">
        <div class="container-pertanyaan">
            <h3 class="pertanyaan-hasil">{{poll.pertanyaan}}</h3>
        </div>
        <div class="box-hasil">
            <ul class="list-group grup-hasil">
                <li class="list-group-item">{{ poll.pilihan_satu }} <span class="badge badge-success float-right badge-vote">{{ poll.pilihan_satu_hitung }} Votes</span></li>
                <li class="list-group-item">{{ poll.pilihan_dua }} <span class="badge badge-success float-right badge-vote">{{ poll.pilihan_dua_hitung }} Votes</span></li>
                <li class="list-group-item">{{ poll.pilihan_tiga }} <span class="badge badge-success float-right badge-vote">{{ poll.pilihan_tiga_hitung }} Votes</span></li>
                <li class="list-group-item total-voters" style="margin-top: 20px;"><strong>Total</strong><span class="badge badge-info float-right badge-vote">{{ poll.total }} Voters</span></li>
                <div class="btn-kembali">
                    <a class="btn btn-primary btn-graph" id="showgraph" >Show Graph</a>
                    <a class="btn btn-success btn-kembali " href="{% url 'poll:poll' %}#container-poll" >Kembali</a>
                </div>
            </ul>
        </div>
        <div id="myChart"></div>   
    </div>
    <script>
        var state ={	
		'items':[],
		'values':[],
	}

	var objId = "{{poll.id}}"

	var dataURL = `/poll/resultsdata/${objId}/`
	$.ajax({
		method:'GET',
		url:dataURL,
		success:function(response){
			console.log('RESPONSE:', response)
			for (var i in response){

				var key = Object.keys(response[i])[0]
				var value = Object.values(response[i])[0]

				state.items.push(key)
				state.values.push(value)
			}

			console.log('STATE:', state)
			buildChart()

		}
	})

	function buildChart(){
			var chartData = {
            "type":"bar",
            "title": {
                "text": "Graph Result"
            },
            plot:{
                'border-radius':"5px",
                styles:["red","green","blue"]
            },
			"scale-x":{
				"values":state.items
			},
			"series":[
				{
                    "values":state.values,
                    alpha: 1,
				}
			]
		}


		zingchart.render({
		  id: "myChart",
		  data: chartData,
		});
	}
    </script>

    <script>

        var graph = document.getElementById("myChart")
        $("#showgraph").click(function () {
            if(graph.className == "active"){
                graph.className = "";
                button.innerHTML = "Show Graph"
            } else{
                graph.className = "active";
                button.innerHTML = "Close Graph"
            }
        });
    </script>
    {% else %}
    <h1 style="text-align: center;">Anda belum Login!</h1>
    {% endif %}

    <script>
        $(document).mousemove(function(e){
            $(".cursor").css({left:e.pageX-10, top:e.pageY-10})
        });
    </script>
     
</body>
{% endblock %}

poll/templates/poll/poll.html
{% extends 'base.html' %}
{%load static%}

{% block tambahStyle %}
<link rel="stylesheet" href="{% static 'poll/poll.css'%}">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<style>
    .btn-vote{
        background-color:#5fa8d3 ;
        font-weight: bolder;
        color: white ;
        box-sizing: border-box;
        border-radius: 20px 20px 20px 20px;
    }

    .btn-hasil{
        background-color:#73ba9b ;
        font-weight: bolder;
        color: white ;
        box-sizing: border-box;
        border-radius: 20px 20px 20px 20px;
    }

    .btn-buat-poll{
        background-color:#ff9b54 ;
        font-weight: bolder;
        color: white ;
        box-sizing: border-box;
        border-radius: 20px 20px 20px 20px;
    }

    .jumbotron-covid{
        background-image: url("/static/jumbotron-cov19.jpg");
        height: 600px;
        display: block;
    }

    .text-bisa-apa{
        padding-top: 80px;
        padding-bottom:80px ;
    }

    .pengertian{
        color: white; 
        font-weight: 400; 
        font-size: 20px;
    }

    .btn-jumbotron{
        box-sizing: border-box;
        border-radius: 10px ;
    }

    .tulisan-covpoll{
        margin-bottom: 30px;
        background-color:#73ba9b ;
        font-weight: bolder;
        color: white ;
        box-sizing: border-box;
        border-radius: 15px 15px 15px 15px;
    }
    .cursor{
        width:30px;
        height: 30px;
        border: 1px solid #2d6a4f;
        border-radius: 50%;
        position: absolute;
        animation: cursorAnim .5s infinite alternate;
        pointer-events: none;
    }

    .cursor::after{
        content:"";
        width: 30px;
        height: 30px;
        position: absolute;
        border: 8px solid #52b788;
        border-radius: 50%;
        opacity: .5;
        top: -1px;
        left: -1px;
        animation: cursorAnim2 .5s infinite alternate;
    }

    @keyframes cursorAnim {
        from{
            transform: scale(1);
        }
        to{
            transform: scale(.7);
        }
    }

    @keyframes cursorAnim2 {
        from{
            transform: scale(1);
        }
        to{
            transform: scale(.4);
        }
    }

    


    @media (min-width: 500px) and (max-width:590px) {
        #container-poll{
            width: 500px;
            font-size: 14px;
        }

        .btn-vote-hasil{
            margin-top: 5px;
            margin-bottom:5px;
        }
     
        
    }

    @media (min-width: 400px) and (max-width:499px) {
        #container-poll{
            width: 400px;
            font-size: 12px;
        }
        .btn{
            font-size: 10px;
        }

        .btn-vote-hasil{
            margin-top: 5px;
            margin-bottom:5px;
        }
    
    }

    @media (min-width: 300px) and (max-width:399px) {
        #container-poll{
            width: 300px;
            font-size: 12px;
        }

        .btn{
            font-size: 10px;
        }

        .btn-vote-hasil{
            margin-top: 5px;
            margin-bottom:5px;
        }
    }

    @media (min-width: 591px) and (max-width:699px){
        .btn-vote-hasil{
            margin-top: 5px;
            margin-bottom:5px;
        }
    }




    @media (min-width: 700px) and (max-width:2000px){
        .btn-vote-hasil{
             float: right;
        }
    }
</style>
{% endblock tambahStyle %}

{% block content %}

<body style="background-color: #DCE5D2";>
    <div class="cursor"></div>
    {% if user.is_authenticated %}
    <div class="jumbotron-fluid jumbotron-covid">
        <h1 class="display-4" style="color: white; font-weight: 500;">CovPoll</h1>
        <p class="lead" style="color: white; font-size: 50px;">Buat Polling, Vote, dan lihat Hasilnya </p>
        <hr class="my-4">
        <p class="pengertian">CovPoll adalah fitur polling mengenai covid 19 dimana Anda<br> dapat membuat sekaligus melihat hasil polling yang telah dibuat.</p>
        <a class="btn btn-primary btn-lg btn-jumbotron" href="{% url 'poll:poll' %}#container-poll" >Tabel Polling</a>
      </div>

      <div class="container" id="container-poll" style="margin-top: 100px;">
        <div class="h1 text text-center tulisan-covpoll" style="font-weight:bold"> Tabel CovPoll</div>
        <div class="row" style= margin-bottom:60px;">
            <div class="col card-header rounded-t-lg" style="background-color: #ABB868;">
                <div class="h2 text" style="font-weight:600"> Polling yang Tersedia</div>
                <ul class="list-group">
                    {% for poll in polling %}
                    <li class="list-group-item" style="margin-top: 20px; font-weight: 600   ; ">
                        {{poll.pertanyaan}}
                    <div class="btn-vote-hasil">
                        <a href="{% url 'poll:vote' poll.id %}" >
                            <button type="button" class="btn btn-sm btn-vote">&nbsp;Vote&nbsp;</button>
                        </a>
                    </div>
                    <div class="btn-vote-hasil">
                        <a href="{% url 'poll:hasil' poll.id %}">
                            <button type="button" class="btn btn-sm btn-hasil" style="margin-right: 10px;">&nbsp;Lihat Hasil&nbsp;</button>
                        </a>
                    </div>
                    </li>
                    {% endfor %}
                </ul>
                <a href="{% url 'poll:buatpoll'%}">
                    <button type="button" class="btn btn-sm btn-buat-poll" style="margin-top: 20px;">&nbsp;Buat Polling&nbsp;</button>
                </a>
                </div>
        </div>
    </div>
    {% else %}
    <h1 style="text-align: center;">Anda belum Login!</h1>
    {% endif %}
    <script>
        $(document).mousemove(function(e){
            $(".cursor").css({left:e.pageX-10, top:e.pageY-10})
        });
    </script>
</body>
{% endblock content %}

poll/templates/poll/vote.html
{% extends 'base.html' %}
{%load static%}

{% block tambahStyle %}
<link rel="stylesheet" href="{% static 'css/styles.css'%}">
<link rel="preconnect" href="https://fonts.gstatic.com">
<link href="https://fonts.googleapis.com/css2?family=Tinos&display=swap" rel="stylesheet">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<style>
    .row-radio{
        display: block;
        padding-top: 20px;
    }

    .tabel-vote{
        width: 600px;
        height: 287px;
        margin-top: 40px;
        margin-right: auto;
        margin-left: auto;
        box-sizing: border-box;
        border-radius: 8px;
        box-shadow: 0 0 20px #000000b3;
        font-family: Oswald;
        background-color: white;
    }

    .pilihan-1{
        background-color:#cce3de ;
        font-weight: bolder;
        color: black ;
        box-sizing: border-box;
        border-radius: 30px 30px 30px 30px;
    }

    .pilihan-2{
        margin-top: 10px;
        background-color:#a4c3b2 ;
        font-weight: bolder;
        color: black  ;
        box-sizing: border-box;
        border-radius: 30px 30px 30px 30px;
    }

    .pilihan-3{
        margin-top: 10px;
        background-color:#cce3de ;
        font-weight: bolder;
        color: black  ;
        box-sizing: border-box;
        border-radius: 30px 30px 30px 30px;
    }

    .vote{
        box-sizing: border-box;
        border-radius: 20px 20px 20px 20px;
        background-color: #52b788;
        font-weight: bolder;
        color: white;
    }

    #pertanyaan-poll{
        font-family: 'Tinos', serif;
        font-size: 25px;
        color: white;
    }
    .cursor{
        width:30px;
        height: 30px;
        border: 1px solid #2d6a4f;
        border-radius: 50%;
        position: absolute;
        animation: cursorAnim .5s infinite alternate;
        pointer-events: none;
    }

    .cursor::after{
        content:"";
        width: 30px;
        height: 30px;
        position: absolute;
        border: 8px solid #52b788;
        border-radius: 50%;
        opacity: .5;
        top: -1px;
        left: -1px;
        animation: cursorAnim2 .5s infinite alternate;
    }

    @keyframes cursorAnim {
        from{
            transform: scale(1);
        }
        to{
            transform: scale(.7);
        }
    }

    @keyframes cursorAnim2 {
        from{
            transform: scale(1);
        }
        to{
            transform: scale(.4);
        }
    }


    @media (min-width: 576px) and (max-width:767px){
        .tabel-vote{
            width: 540px;
        }

    }

    @media (min-width: 500px) and (max-width:575px){
        .tabel-vote{
            width: 480px;
        }
    }

    @media (min-width: 400px) and (max-width:499px){
        .tabel-vote{
            width: 390px;
        }
    }

    @media (min-width: 300px) and (max-width:399px){
        .tabel-vote{
            width: 290px;
        }
    }





</style>
{% endblock tambahStyle %}

{% block content %}
<body style="background-color: #DCE5D2";>
    {% if user.is_authenticated %}
    <div class="cursor"></div>
    <div class="tabel-vote" style="margin-top:100px;">
        <div class="container">
            <div class="row">
              <div class="col  " style=" background-color:#ABB868 ;">
                <br>
                <h5 style="text-align: center;" id="pertanyaan-poll"><strong>{{ poll.pertanyaan }}</strong></h5>
                <br>
              </div>    
            </div>
            <div class="row row-radio">
                <form method="POST">
                    {% csrf_token %}
                    <div class="form-group grup-from">
                        <div class="radio">
                            <div class="col pilihan-1" >
                                <label>
                                    <input type="radio" name="poll" value="pilihan1" required>
                                    <strong>{{ poll.pilihan_satu }}</strong>
                                </label> &nbsp;
                            </div>
                            <div class="col pilihan-2">
                                <label>
                                    <input type="radio" name="poll" value="pilihan2">
                                    <strong>{{ poll.pilihan_dua }}</strong>
                                </label> &nbsp;
                            </div>

                            <div class="col pilihan-3" >
                                <label>
                                    <input type="radio" name="poll" value="pilihan3">
                                    <strong>{{ poll.pilihan_tiga}}</strong>
                                </label> &nbsp;
                            </div>
                        </div>
                    </div>
                    <div class="text-center">
                        <button type="submit" class="btn vote">&nbsp;Vote!&nbsp;</button>
                    </div>
                </form>
            </div>
    </div>
    {% else %}
    <h1 style="text-align: center;">Anda belum Login!</h1>
    {% endif %} 

    <script>
        $(document).mousemove(function(e){
            $(".cursor").css({left:e.clientX-10, top:e.clientY-10})
        });
    </script>
    
</body>
{% endblock %}